Insights
curl --request POST \
--url https://{host}/api/projects/insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"metric": "",
"cohort": "",
"mode": "final",
"direction": "<string>",
"run_ids": [
"<string>"
]
}
'import requests
url = "https://{host}/api/projects/insights"
payload = {
"project": "<string>",
"metric": "",
"cohort": "",
"mode": "final",
"direction": "<string>",
"run_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
metric: '',
cohort: '',
mode: 'final',
direction: '<string>',
run_ids: ['<string>']
})
};
fetch('https://{host}/api/projects/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scope_count": 123,
"cohort_count": 123,
"eligible_count": 123,
"measured_count": 123,
"cohorts": [
{
"value": "<string>",
"label": "<string>",
"count": 0
}
],
"cohort": "<string>",
"metrics": [
{
"value": "<string>",
"label": "<string>",
"count": 0
}
],
"metric": "<string>",
"direction": "<string>",
"display": "<string>",
"mode": "<string>",
"points": [
{
"run_id": "<string>",
"job_id": "<string>",
"name": "<string>",
"value": 123,
"step": 123
}
],
"parameters": [
{
"key": "<string>",
"values": [
"<string>"
],
"distinct": 123,
"present": 123,
"minimum": 123,
"maximum": 123,
"best_value": "<string>"
}
],
"fixed_parameters": 123,
"best": {
"run_id": "<string>",
"job_id": "<string>",
"name": "<string>",
"value": 123,
"step": 123
},
"minimum": 123,
"maximum": 123,
"median": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Read aggregate results for the authorized project or an explicit run subset.
POST
/
api
/
projects
/
insights
Insights
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
响应
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes